# Calculate os_builder_linux_system!=server
DEFAULT vesamenu.c32
MENU TITLE Select Video Driver

INCLUDE common.cfg

MENUPARAM calculate 4

LABEL auto
        MENU LABEL Auto
        KERNEL calcmenu.c32
        APPEND vga.cfg calculate=,,,,auto,composite
ENDTEXT

LABEL intel
        MENU LABEL Intel (intel) with composite
        KERNEL calcmenu.c32
        APPEND vga.cfg calculate=,,,,intel,composite

LABEL intel
        MENU LABEL Intel (intel)
        KERNEL calcmenu.c32
        APPEND vga.cfg calculate=,,,,intel,nocomposite

LABEL radeon
        MENU LABEL ATI Radeon Open Source (radeon)
        KERNEL calcmenu.c32
        APPEND vga.cfg calculate=,,,,radeon,nocomposite

#?os_builder_linux_shortname!=CLS#
LABEL fglrx
        MENU LABEL Ati proprietary (fglrx)
        KERNEL calcmenu.c32
        APPEND vga.cfg calculate=,,,,fglrx,nocomposite

LABEL fglrx
        MENU LABEL Ati proprietary (fglrx) with composite
        KERNEL calcmenu.c32
        APPEND vga.cfg calculate=,,,,fglrx,composite

#os_builder_linux_shortname#
LABEL nv
        MENU LABEL Nvidia 2D only (nv)
        KERNEL calcmenu.c32
        APPEND vga.cfg calculate=,,,,nv,nocomposite

LABEL nouveaucomp
        MENU LABEL Nvidia Open Source (nouveau) with composite
        KERNEL calcmenu.c32
        APPEND vga.cfg calculate=,,,,nouveau,composite

LABEL nouveau
        MENU LABEL Nvidia Open Source (nouveau)
        KERNEL calcmenu.c32
        APPEND vga.cfg calculate=,,,,nouveau,nocomposite

#?os_builder_linux_shortname!=CLS#
LABEL nvidiacomp
        MENU LABEL NVIDIA Proprietary (nvidia) with composite
        KERNEL calcmenu.c32
        APPEND vga.cfg calculate=,,,,nvidia,composite

LABEL nvidia
        MENU LABEL NVIDIA Proprietary (nvidia)
        KERNEL calcmenu.c32
        APPEND vga.cfg calculate=,,,,nvidia,nocomposite
#os_builder_linux_shortname#

LABEL vesa
        MENU LABEL Generic VESA video driver (vesa)
        KERNEL calcmenu.c32
        APPEND vga.cfg calculate=,,,,vesa,nocomposite

